#!/usr/bin/env ruby
#
# genes2nuc.rb - convert KEGG/GENES entry into FASTA format (nuc)
#
#   Copyright (C) 2001 KATAYAMA Toshiaki <k@bioruby.org>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#

require 'bio/db/genes'
require 'bio/util/fold'

while gets(GENES::DELIMITER)
  genes = GENES.new($_)

  next if (seq = genes.aa).length == 0

  puts ">#{genes.id}  #{genes.definition}"
  puts seq.fold(60+12, 12)
end

